Bug 1956528 - libxml2: NULL pointer dereference in valid.c in xmlSnprintfElementContent
Summary: libxml2: NULL pointer dereference in valid.c in xmlSnprintfElementContent
Keywords:
Status: CLOSED DUPLICATE of bug 1956522
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1956529 1956530
Blocks: 1956531
TreeView+ depends on / blocked
 
Reported: 2021-05-03 20:38 UTC by Pedro Sampaio
Modified: 2021-05-06 01:18 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-05 11:24:00 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-05-03 20:38:34 UTC
There is a NULL Pointer Dereference in libxml2 in xmlSnprintfElementContent__internal_alias that can lead to segmentation fault and cause denial-of-service.

References:

https://gitlab.gnome.org/GNOME/libxml2/-/issues/245

Comment 1 Pedro Sampaio 2021-05-03 20:40:34 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1956529]


Created mingw-libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1956530]

Comment 2 Cedric Buissart 2021-05-05 11:24:00 UTC

*** This bug has been marked as a duplicate of bug 1956522 ***


Note You need to log in before you can comment on or make changes to this bug.